%define     anolis_release 3

Name:		libcbor
Version:	0.10.2
Release:	%{anolis_release}%{?dist}
Summary:	libcbor is a C library for parsing and generating CBOR
License:	MIT
URL:		http://libcbor.org
Source0:	https://github.com/PJK/%{name}/archive/v%{version}.tar.gz

BuildRequires:  cmake gcc gcc-c++ automake autoconf
BuildRequires:	python3-breathe python3-sphinx python3-sphinx_rtd_theme


%description
libcbor is a C library for parsing and generating CBOR, the general-purpose schema-less binary data format.
Main features:
Complete IETF RFC 8949 (STD 94) conformance
Robust platform-independent C99 implementation
Layered architecture offers both control and convenience
Flexible memory management
No shared global state - threading friendly
Proper handling of UTF-8
Full support for streams & incremental processing
Extensive documentation and test suite
No runtime dependencies, small footprint

%package doc
Summary:        Documentation files for libcbor
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch


%description    doc
The libcbor-doc package contains documentation files for libcbor

%package	devel
Summary:	Development files for libcbor
Requires:	%{name} = %{version}-%{release}

%description devel
The libcbor-devel contains header files and libraries for libcbor


%prep
%autosetup -n %{name}-%{version} -p1
sed -i 's|${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig|${CMAKE_INSTALL_LIBDIR}/pkgconfig|' src/CMakeLists.txt


%build
%cmake -B . -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFFIX="/usr" ./
%make_build
cd doc && make man


%install
%make_install
mkdir -p %{buildroot}%{_mandir}/man3
install -m 0644 -p doc/build/man/* %{buildroot}%{_mandir}/man3
%generate_compatibility_deps


%files
%dir %{abidir}
%license LICENSE.md
%{_libdir}/libcbor.so.*
%{abidir}/*.dump

%files devel
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc
%{_includedir}/cbor.h
%{_includedir}/cbor/*.h
%{_includedir}/cbor/internal/*.h
%{_mandir}/man3/libcbor.3*

%files doc
%doc README.md


%changelog
* Fri Apr 07 2023 chen_yu_ao <m15927509890@163.com> - 0.10.2-3
- change spec file format

* Tue Mar 07 2023 chen_yu_ao <m15927509890@163.com> - 0.10.2-2
- remove redundant dependencies which was introduced for so compatibility

* Thu Feb 16 2023 chen_yu_ao <m15927509890@163.com> - 0.10.2-1
- update version to 0.10.2

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-2
- add doc package

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.7.0-1
- init from upstream 0.7.0
